/* 
 * Thomas Pantzer: t_polygon.h, v0.1b  8.11.98 0:58 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */


#ifndef _T_POLYGON_H
#define _T_POLYGON_H

//other includes go here

#include "t_drawgrp.h"


class t_polygon : public t_drawgrp {
public:
   int Shape;
   char filled;

   void Init(t_colormap *c, t_vector2d *a, t_drawobj *n, int lw, int s);
		       
//   void Add(t_vector2d *p);
   void AddLine(t_vector2d *P);
   void ChangeLine(t_vector2d *P);
   void Fill(void);

   virtual void Done(void);
   virtual void Draw(color_type ct);
   virtual void SaveMeToo(int fd);
};



#ifdef _T_POLYGON_G
#define vextern
#else
#define vextern extern
#endif

//static variables go here


#undef vextern
#endif
