
#ifndef _STUFF_H
#define _STUFF_H

//#include "graphix.h"

#include "drawobj/t_line.h"
#include "drawobj/t_circle.h"
#include "drawobj/t_rectangle.h"
#include "drawobj/t_cursor.h"
#include "drawobj/t_string.h"

#ifdef MAIN_G
#define vextern

t_colormap CM[18] = {
                    {FL_GREEN ,FL_WHITE ,FL_BLACK},
                    {FL_BLUE  ,FL_WHITE ,FL_BLACK},
                    {FL_RED   ,FL_WHITE ,FL_BLACK},
                    {FL_YELLOW,FL_WHITE ,FL_BLACK},
                    {FL_WHITE ,FL_CYAN  ,FL_BLACK},
                    {FL_CYAN  ,FL_WHITE ,FL_BLACK},
                    {FL_WHEAT ,FL_WHITE ,FL_BLACK},
                    {FL_DARKGOLD,FL_WHITE ,FL_BLACK},

                    {FL_DARKORANGE,FL_WHITE ,FL_BLACK},
                    {FL_BLACK ,FL_WHITE ,FL_BLACK},
      	             
      	            {FL_PALEGREEN,   FL_WHITE ,FL_BLACK},                                              
      	            {FL_ORCHID,      FL_WHITE ,FL_BLACK},                                                            
      	            {FL_DARKCYAN,    FL_WHITE ,FL_BLACK},                                                            
      	            {FL_DEEPPINK,    FL_WHITE ,FL_BLACK},                                                            
      	            {FL_CHARTREUSE,  FL_WHITE ,FL_BLACK},                                                            
      	            {FL_DARKVIOLET,  FL_WHITE ,FL_BLACK},
      	            {FL_SPRINGGREEN, FL_WHITE ,FL_BLACK},                                                            
      	            {FL_DOGERBLUE,   FL_WHITE ,FL_BLACK},                       
                   };

//    FL_MAGENTA,                                                                 
//    FL_TOMATO,                                                                  
//    FL_INDIANRED,                                                               
//    FL_SLATEBLUE,                                                               
//    FL_DARKTOMATO,                                                            
 
               

#else
#define vextern extern

extern t_colormap CM[18];

#endif


vextern t_rectangle CutRect;
vextern t_drawobj RootObj;
vextern t_drawobj *ActualObj;
vextern t_cursor CursorObj;

vextern	int ObjMode;
vextern int EditMode;
vextern int color_map;

// vextern int LineWidth;
vextern int FillStyle;
// vextern int __TextFont;

vextern int grid;
vextern char addingtext;
vextern int Matrix;

typedef enum {uninitialized,begin,upper,lower,end} t_cutmode;
vextern t_cutmode cutmode;

extern void fileload_cb(char *,int);
extern void filesave_cb(const char *,int);
extern void Main_ExitProc(int);


extern void Update_Display(char);
extern int canvas_mouse(FL_OBJECT *, Window, int, int, XEvent *, void *);
extern  void Bitmap2XImage(char fast);


#endif


