
unit
   t_line;

uses
   t_drawobj;
   
interface

type
   t_line = object(t_drawobj)
              endpoint : t_point2d;
              
              constructor Init(c : p_colormap; a : p_point2d; n : p_drawobj; ep : p_point2d);
              
              procedure Draw;	virtual;
              procedure Rotate(deg : integer);	virtual;
              procedure MoveTo(p : p_point2d);	virtual;
            end; 


implementation


constructor t_line.Init;
begin
  t_drawobj.Init(c,a,n);
  
  endpoint.x = ep^.x;
  endpoint.y = ep^.y;
end;

procedure t_line.Draw;
begin
  DrawLine(anchor.x,anchor.y,endpoint.x,endpoint.y);
end;

begin
end;   
   
