/* 
 * University of Leipzig: timer.h, v0.1b  21.9.97 22:58 
 * 
 * 
 * Copyright 1997 by University of Leipzig
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the U.L. not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The U.L. makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _TIMER_H
#define _TIMER_H


// #include <time.h>
#include <sys/time.h>
#include <signal.h>
#include <unistd.h>





extern void InitTimer(void);
extern void DoneTimer(void);
extern long int GetTime(void);

extern int timer_resolution;
extern char timer_rolled;

#ifndef linux

 #if (sun || AIX)
  // I can't find the header file for this, but it exists
  extern "C" {
    extern void usleep(unsigned int);
   }
 #else 

 #ifdef hpux
  extern void usleep(long int i);
 #endif

 #endif

#endif

//globale Variablen fr den Timer
//extern struct itimerval SavedTimer;



#endif

